#ifndef FACEREC_ONPAINT_H
#define FACEREC_ONPAINT_H 1

#include "Position.h"

class OnPnt {
	// 0 - Normal
	// 1 - Train
	// 2 - Recog
	// 3 - Fext/Advanced
	// 4 - Training done

	int State,sx,sy;

	char szMatching[150];

	HDC hDc;
	
	void OnPaint();
	void OnTrainPaint();
	void OnRecogPaint();
	void OnTrainInit();

public:
	
	enum { none = -1 , Train = 0 , Recog = 1, Fext = 2 };

	OnPnt();
	// Paint based on state
	void Paint (HDC _hDc);

	void SetState( int _State );

	void SetBlock( int sx , int sy );

	void OnRecogInit();

	void Matching( char nam[] );
};

extern OnPnt cOnPaint;

#endif